*:*****************************************************************************
*:
*: Procedure file: H:\FOXPROW\GOODIES\FOXTOOLS\GDI.PRG
*:         System: GDI
*:         Author: Bruce Braunstein
*:      Copyright (c) 1993, Bruce Braunstein
*:  Last modified: 01/27/93 at 13:41:24
*:
*:  Procs & Fncts: USERRES()
*:               : FREESPACE()
*:               : GDI()
*:
*:          Calls: GDI()              (function  in GDI.PRG)
*:               : USERRES()          (function  in GDI.PRG)
*:               : FREESPACE()        (function  in GDI.PRG)
*:
*:      Documented 13:41:54                                FoxDoc version 3.00a
*:*****************************************************************************
IF ! _windows
   RETURN
ENDIF
z = 1
E = 1
FOR i = 1 TO 100
   
   x = 'i' + ALLTRIM(STR(i))
   
   DEFINE WIND (x) FROM (MOD(i,10)), ;
      (MOD(i,25)+E) TO (MOD(i,10)+ 13)+E, (MOD(i,25)+40+E) double ;
      title x close zoom grow float
   
   
   ACTI WIND (x)
   ? ALLTRIM(STR(gdi())) + ' GDI MEM % '
   ? ALLTRIM(STR(userres())) +  ' USER MEM % '
   ? ALLTRIM(STR(MEMO())) + ' MEMORY FUNC'
   ? ALLTRIM(STR(z)) + ' WINDOW NUM'
   ? ALLTRIM(STR(freespace())) + ' free mem pool'
   
   
   z = z + 1
   
   IF MOD(z,10) = 0
      E = E + 1
   ENDIF
ENDFOR

RETURN


*!*****************************************************************************
*!
*!       Function: GDI
*!
*!      Called by: GDI.PRG                           
*!
*!          Calls: REGFN()            (function  in ?)
*!               : CALLFN()           (function  in ?)
*!
*!*****************************************************************************
FUNCTION gdi
PRIVATE gfsr, percnt
* returns percent of free gdi memory
SET LIBRARY TO SYS(2004)+"foxtools.fll" ADDITIVE


#DEFINE gfsr_gdiresources      1



gfsr = regfn("GetFreeSystemResources", "I", "I")

percnt = callfn(gfsr,gfsr_gdiresources)

RETURN percnt



*!*****************************************************************************
*!
*!       Function: USERRES
*!
*!      Called by: GDI.PRG                           
*!
*!          Calls: REGFN()            (function  in ?)
*!               : CALLFN()           (function  in ?)
*!
*!*****************************************************************************
FUNCTION userres
* returns percent of free user memory
SET LIBRARY TO SYS(2004)+"foxtools.fll" ADDITIVE
PRIVATE gfsr, percnt


#DEFINE gfsr_userresources     2



gfsr = regfn("GetFreeSystemResources", "I", "I")

percnt = callfn(gfsr,gfsr_userresources)

RETURN percnt


*!*****************************************************************************
*!
*!       Function: FREESPACE
*!
*!      Called by: GDI.PRG                           
*!
*!          Calls: REGFN()            (function  in ?)
*!               : CALLFN()           (function  in ?)
*!
*!*****************************************************************************
FUNCTION freespace
* returns percent of free user memory
* this is the amount shown in the About Windows help box.
SET LIBRARY TO SYS(2004)+"foxtools.fll" ADDITIVE
PRIVATE gfs, i, amt
gfs = regfn("GetFreeSpace", "I", "L")
i = 0
amt = callfn(gfs,i)

RETURN amt

*: EOF: GDI.PRG
